/*
 * Zynaptic Reaction - An asynchronous programming framework for Java.
 * 
 * Copyright (c) 2009-2016, Zynaptic Limited. All rights reserved. 
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * This code is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 2 only, as published by
 * the Free Software Foundation. Zynaptic Limited designates this particular
 * file as subject to the "Classpath" exception as provided in the LICENSE
 * file that accompanied this code.
 * 
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 * 
 * You should have received a copy of the GNU General Public License version 2
 * along with this work; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 * 
 * Please visit www.zynaptic.com or contact reaction@zynaptic.com if you need
 * additional information or have any questions.
 */

package com.zynaptic.reaction;

/**
 * Indicates an attempt to make an invalid call to the {@link Deferred#defer()}
 * method. This exception is thrown if an attempt is made to wait for a deferred
 * event callback from the context of the main reactor thread.
 * 
 * @author Chris Holgate
 */
public class DeferredContextException extends ReactionRuntimeException {
  private static final long serialVersionUID = -717342990131327098L;

  /**
   * Constructs a new deferred context exception. The only supported constructor
   * for this class of exception is the standard string message constructor.
   * 
   * @param msg
   *          This is the message string which is used to describe the error
   *          condition.
   */
  public DeferredContextException(String msg) {
    super(msg);
  }
}
